Bug 395676 - Discover crash calligra_stencil.knsrc All categories are missing
Summary: Discover crash calligra_stencil.knsrc All categories are missing
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.13.1
Platform: Neon Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords: drkonqi
: 396228 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-06-21 04:39 UTC by Eridani Rodríguez
Modified: 2018-07-06 10:58 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.13.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eridani Rodríguez 2018-06-21 04:39:08 UTC
Application: plasma-discover (5.13.1)

Qt Version: 5.11.0
Frameworks Version: 5.47.0
Operating System: Linux 4.15.0-15-lowlatency x86_64
Distribution: KDE neon User Edition 5.13

-- Information about the crash:
- What I was doing when the application crashed:
  -  Install Calligra
  - Launch Discover again
  - Pick an item from the left pane
  - Crash

- Custom settings of the application:
  Flatpak and snap integration ennabled

The crash can be reproduced every time.

-- Backtrace:
Application: Discover (plasma-discover), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f5c7ff2c900 (LWP 2614))]

Thread 16 (Thread 0x7f5c02136700 (LWP 2693)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f5c75dbacfa in g_cond_wait_until () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5c75d4a999 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5c75d4afbb in g_async_queue_timeout_pop () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5c75d9d60a in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f5c75d9cbb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f5c77ca46ba in start_thread (arg=0x7f5c02136700) at pthread_create.c:333
#7  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7f5c1e9fd700 (LWP 2637)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f5c7bc0355f in QWaitConditionPrivate::wait_relative (time=30000, this=0x3af8390) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x3af8390) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x3af7c70, mutex=mutex@entry=0x26c7ef0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f5c7bbf8e8a in QThreadPoolThread::run (this=0x3af7c60) at thread/qthreadpool.cpp:146
#5  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x3af7c60) at thread/qthread_unix.cpp:367
#6  0x00007f5c77ca46ba in start_thread (arg=0x7f5c1e9fd700) at pthread_create.c:333
#7  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7f5c1f1fe700 (LWP 2636)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f5c7bc0355f in QWaitConditionPrivate::wait_relative (time=30000, this=0x3af73c0) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x3af73c0) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x294a9b0, mutex=mutex@entry=0x26c7ef0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f5c7bbf8e8a in QThreadPoolThread::run (this=0x294a9a0) at thread/qthreadpool.cpp:146
#5  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x294a9a0) at thread/qthread_unix.cpp:367
#6  0x00007f5c77ca46ba in start_thread (arg=0x7f5c1f1fe700) at pthread_create.c:333
#7  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7f5c2d1fe700 (LWP 2634)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5c7bc035cb in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x37a14f0) at thread/qwaitcondition_unix.cpp:143
#2  QWaitCondition::wait (this=this@entry=0x3715528, mutex=mutex@entry=0x3715520, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:215
#3  0x00007f5c7f0bfafd in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x3715518) at scenegraph/qsgthreadedrenderloop.cpp:245
#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x37154a0) at scenegraph/qsgthreadedrenderloop.cpp:709
#5  0x00007f5c7f0bff81 in QSGRenderThread::run (this=0x37154a0) at scenegraph/qsgthreadedrenderloop.cpp:738
#6  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x37154a0) at thread/qthread_unix.cpp:367
#7  0x00007f5c77ca46ba in start_thread (arg=0x7f5c2d1fe700) at pthread_create.c:333
#8  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7f5c2ddde700 (LWP 2633)):
#0  0x00007f5c7b1fa74d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5c75d7638c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5c75d7649c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5c7be1abeb in QEventDispatcherGlib::processEvents (this=0x7f5c240008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f5c7bdc21ca in QEventLoop::exec (this=this@entry=0x7f5c2ddddcb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#5  0x00007f5c7bbf75e4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:522
#6  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x21c8ed0) at thread/qthread_unix.cpp:367
#7  0x00007f5c77ca46ba in start_thread (arg=0x7f5c2ddde700) at pthread_create.c:333
#8  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7f5c2ee07700 (LWP 2631)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f5c7bc0355f in QWaitConditionPrivate::wait_relative (time=30000, this=0x7f5c28004dd0) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x7f5c28004dd0) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x7f5c28004ae0, mutex=mutex@entry=0x7f5c280047f0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f5c7bbf8e8a in QThreadPoolThread::run (this=0x7f5c28004ad0) at thread/qthreadpool.cpp:146
#5  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x7f5c28004ad0) at thread/qthread_unix.cpp:367
#6  0x00007f5c77ca46ba in start_thread (arg=0x7f5c2ee07700) at pthread_create.c:333
#7  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f5c2f608700 (LWP 2630)):
#0  0x00007f5c75dbaa79 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f5c75d76372 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5c75d7649c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5c7be1abeb in QEventDispatcherGlib::processEvents (this=0x7f5c280008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f5c7bdc21ca in QEventLoop::exec (this=this@entry=0x7f5c2f607cb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#5  0x00007f5c7bbf75e4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:522
#6  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x27c6da0) at thread/qthread_unix.cpp:367
#7  0x00007f5c77ca46ba in start_thread (arg=0x7f5c2f608700) at pthread_create.c:333
#8  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f5c45645700 (LWP 2628)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f5c7bc0355f in QWaitConditionPrivate::wait_relative (time=30000, this=0x26f3ef0) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x26f3ef0) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x26f2f20, mutex=mutex@entry=0x26c7ef0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f5c7bbf8e8a in QThreadPoolThread::run (this=0x26f2f10) at thread/qthreadpool.cpp:146
#5  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x26f2f10) at thread/qthread_unix.cpp:367
#6  0x00007f5c77ca46ba in start_thread (arg=0x7f5c45645700) at pthread_create.c:333
#7  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f5c45e46700 (LWP 2627)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f5c7bc0355f in QWaitConditionPrivate::wait_relative (time=30000, this=0x26f3320) at thread/qwaitcondition_unix.cpp:133
#2  QWaitConditionPrivate::wait (time=30000, this=0x26f3320) at thread/qwaitcondition_unix.cpp:141
#3  QWaitCondition::wait (this=this@entry=0x2698d30, mutex=mutex@entry=0x26c7ef0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f5c7bbf8e8a in QThreadPoolThread::run (this=0x2698d20) at thread/qthreadpool.cpp:146
#5  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x2698d20) at thread/qthread_unix.cpp:367
#6  0x00007f5c77ca46ba in start_thread (arg=0x7f5c45e46700) at pthread_create.c:333
#7  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f5c46647700 (LWP 2626)):
#0  0x00007f5c7b1fa74d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5c75d7638c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5c75d76712 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5c4b18e9d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f5c75d9cbb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f5c77ca46ba in start_thread (arg=0x7f5c46647700) at pthread_create.c:333
#6  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f5c46e48700 (LWP 2625)):
#0  0x00007f5c7b1fa74d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5c75d7638c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5c75d7649c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5c75d764d9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5c75d9cbb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f5c77ca46ba in start_thread (arg=0x7f5c46e48700) at pthread_create.c:333
#6  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f5c48143700 (LWP 2623)):
#0  0x00007f5c75dbaa79 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f5c75d75320 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5c75d76245 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5c75d7649c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5c7be1abeb in QEventDispatcherGlib::processEvents (this=0x7f5c400008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f5c7bdc21ca in QEventLoop::exec (this=this@entry=0x7f5c48142cb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#6  0x00007f5c7bbf75e4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:522
#7  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x26a30b0) at thread/qthread_unix.cpp:367
#8  0x00007f5c77ca46ba in start_thread (arg=0x7f5c48143700) at pthread_create.c:333
#9  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f5c53fff700 (LWP 2622)):
#0  0x00007f5c7b1fa74d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5c75d7638c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5c75d7649c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5c7be1abeb in QEventDispatcherGlib::processEvents (this=0x7f5c4c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f5c7bdc21ca in QEventLoop::exec (this=this@entry=0x7f5c53ffec40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#5  0x00007f5c7bbf75e4 in QThread::exec (this=this@entry=0x2622a90) at thread/qthread.cpp:522
#6  0x00007f5c7f03fe66 in QQuickPixmapReader::run (this=0x2622a90) at util/qquickpixmapcache.cpp:934
#7  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x2622a90) at thread/qthread_unix.cpp:367
#8  0x00007f5c77ca46ba in start_thread (arg=0x7f5c53fff700) at pthread_create.c:333
#9  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f5c620fa700 (LWP 2618)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:65
#1  0x00007f5c7b1f6272 in read () at ../sysdeps/unix/syscall-template.S:84
#2  0x00007f5c75db96f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5c75d75e74 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5c75d76330 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f5c75d7649c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f5c7be1abeb in QEventDispatcherGlib::processEvents (this=0x7f5c540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f5c7bdc21ca in QEventLoop::exec (this=this@entry=0x7f5c620f9c90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#8  0x00007f5c7bbf75e4 in QThread::exec (this=this@entry=0x1f08d60) at thread/qthread.cpp:522
#9  0x00007f5c7c77fcf5 in QQmlThreadPrivate::run (this=0x1f08d60) at qml/ftw/qqmlthread.cpp:148
#10 0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x1f08d60) at thread/qthread_unix.cpp:367
#11 0x00007f5c77ca46ba in start_thread (arg=0x7f5c620fa700) at pthread_create.c:333
#12 0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f5c6330b700 (LWP 2616)):
#0  0x00007f5c7b1fa74d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5c75d7638c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5c75d7649c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5c7be1abeb in QEventDispatcherGlib::processEvents (this=0x7f5c5c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f5c7bdc21ca in QEventLoop::exec (this=this@entry=0x7f5c6330ac80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#5  0x00007f5c7bbf75e4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:522
#6  0x00007f5c7db37f35 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007f5c7bc02727 in QThreadPrivate::start (arg=0x7f5c7ddb0d60) at thread/qthread_unix.cpp:367
#8  0x00007f5c77ca46ba in start_thread (arg=0x7f5c6330b700) at pthread_create.c:333
#9  0x00007f5c7b20641d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f5c7ff2c900 (LWP 2614)):
[KCrash Handler]
#6  QStandardItem::row (this=0x0) at itemmodels/qstandarditemmodel.cpp:1486
#7  0x00007f5c4a3b09b5 in FlatpakSourcesBackend::originIndex (this=<optimized out>, sourceId=...) at /workspace/build/libdiscover/backends/FlatpakBackend/FlatpakSourcesBackend.cpp:294
#8  0x00007f5c4a3a3935 in FlatpakBackend::flatpakResourceLessThan (this=this@entry=0x269ae30, l=<optimized out>, r=0x3c10950) at /workspace/build/libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp:1084
#9  0x00007f5c4a3a3a9a in FlatpakBackend::<lambda(AbstractResource*, AbstractResource*)>::operator() (r=<optimized out>, l=<optimized out>, __closure=<synthetic pointer>) at /workspace/build/libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp:1122
#10 __gnu_cxx::__ops::_Iter_comp_iter<FlatpakBackend::search(const AbstractResourcesBackend::Filters&)::<lambda(AbstractResource*, AbstractResource*)> >::operator()<AbstractResource**, AbstractResource**> (__it1=0x41490d0, __it2=0x4149098, this=<synthetic pointer>) at /usr/include/c++/5/bits/predefined_ops.h:123
#11 std::__insertion_sort<AbstractResource**, __gnu_cxx::__ops::_Iter_comp_iter<FlatpakBackend::search(const AbstractResourcesBackend::Filters&)::<lambda(AbstractResource*, AbstractResource*)> > >(AbstractResource **, AbstractResource **, __gnu_cxx::__ops::_Iter_comp_iter<FlatpakBackend::search(const AbstractResourcesBackend::Filters&)::<lambda(AbstractResource*, AbstractResource*)> >) (__first=__first@entry=0x4149098, __last=__last@entry=0x4149118, __comp=__comp@entry=...) at /usr/include/c++/5/bits/stl_algo.h:1842
#12 0x00007f5c4a3a6ccc in std::__final_insertion_sort<AbstractResource**, __gnu_cxx::__ops::_Iter_comp_iter<FlatpakBackend::search(const AbstractResourcesBackend::Filters&)::<lambda(AbstractResource*, AbstractResource*)> > > (__comp=..., __last=0x4149ce0, __first=0x4149098) at /usr/include/c++/5/bits/stl_algo.h:1880
#13 std::__sort<AbstractResource**, __gnu_cxx::__ops::_Iter_comp_iter<FlatpakBackend::search(const AbstractResourcesBackend::Filters&)::<lambda(AbstractResource*, AbstractResource*)> > > (__comp=..., __last=0x4149ce0, __first=0x4149098) at /usr/include/c++/5/bits/stl_algo.h:1966
#14 std::sort<AbstractResource**, FlatpakBackend::search(const AbstractResourcesBackend::Filters&)::<lambda(AbstractResource*, AbstractResource*)> > (__comp=..., __last=<optimized out>, __first=<optimized out>) at /usr/include/c++/5/bits/stl_algo.h:4729
#15 FlatpakBackend::search (this=0x269ae30, filter=...) at /workspace/build/libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp:1123
#16 0x00007f5c7eccb7ab in ResourcesModel::<lambda(AbstractResourcesBackend*)>::operator() (backend=<optimized out>, __closure=0x7ffed817df90) at /workspace/build/libdiscover/resources/ResourcesModel.cpp:325
#17 kTransform<QSet<ResultsStream*>, QVector<AbstractResourcesBackend*>, ResourcesModel::search(const AbstractResourcesBackend::Filters&)::<lambda(AbstractResourcesBackend*)> > (op=..., input=...) at /workspace/build/libdiscover/utils.h:48
#18 ResourcesModel::search (this=<optimized out>, search=...) at /workspace/build/libdiscover/resources/ResourcesModel.cpp:325
#19 0x00007f5c7eccdc40 in ResourcesProxyModel::invalidateFilter (this=0x3bd1460) at /workspace/build/libdiscover/resources/ResourcesProxyModel.cpp:268
#20 0x00007f5c7c773d6a in QQmlObjectCreator::finalize (this=0x3ba2c40, interrupt=...) at qml/qqmlobjectcreator.cpp:1359
#21 0x00007f5c7c6e9070 in QQmlComponentPrivate::complete (enginePriv=0x1f0ab60, state=0x3e82d00) at qml/qqmlcomponent.cpp:924
#22 0x00007f5c7c6e91a7 in QQmlComponentPrivate::completeCreate (this=0x3e82c60) at qml/qqmlcomponent.cpp:959
#23 0x00007f5c7c6eaf96 in QQmlComponent::createObject (this=<optimized out>, args=0x7ffed817e480) at qml/qqmlcomponent.cpp:1315
#24 0x00007f5c7c6ec564 in QQmlComponent::qt_static_metacall (_o=_o@entry=0x401b370, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=6, _a=_a@entry=0x7ffed817e4a0) at .moc/moc_qqmlcomponent.cpp:149
#25 0x00007f5c7c6ec910 in QQmlComponent::qt_metacall (this=0x401b370, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7ffed817e4a0) at .moc/moc_qqmlcomponent.cpp:213
#26 0x00007f5c7c72ff59 in QQmlObjectOrGadget::metacall (this=this@entry=0x7ffed817e3f0, type=type@entry=QMetaObject::InvokeMetaMethod, index=11, argv=argv@entry=0x7ffed817e4a0) at qml/qqmlpropertycache.cpp:1733
#27 0x00007f5c7c69b550 in QV4::QObjectMethod::callInternal (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1969
#28 0x00007f5c7c6b6530 in QV4::FunctionObject::call (argc=2, argv=0x7f5c614bb800, thisObject=0x7f5c614bb7d8, this=<optimized out>) at jsruntime/qv4functionobject_p.h:163
#29 QV4::Runtime::method_callProperty (engine=0x1f32160, base=0x7f5c614bb7d8, nameIndex=<optimized out>, argv=0x7f5c614bb800, argc=2) at jsruntime/qv4runtime.cpp:1062
#30 0x00007f5c7c6a8faa in QV4::Moth::VME::exec (fo=0x7f5c614bb798, thisObject=0x7f5c60f294a0, argv=0x7f5c5421b911, argc=2091639680) at jsruntime/qv4vme_moth.cpp:800
#31 0x00007f5c7c6b6530 in QV4::FunctionObject::call (argc=2, argv=0x7f5c614bb738, thisObject=0x7f5c614bb730, this=<optimized out>) at jsruntime/qv4functionobject_p.h:163
#32 QV4::Runtime::method_callProperty (engine=0x1f32160, base=0x7f5c614bb730, nameIndex=<optimized out>, argv=0x7f5c614bb738, argc=2) at jsruntime/qv4runtime.cpp:1062
#33 0x00007f5c7c6a8faa in QV4::Moth::VME::exec (fo=0x7f5c614bb6c0, thisObject=0x7f5c60edada0, argv=0x7f5c54219216, argc=2091639680) at jsruntime/qv4vme_moth.cpp:800
#34 0x00007f5c7c6b6530 in QV4::FunctionObject::call (argc=2, argv=0x7f5c614bb678, thisObject=0x7f5c614bb670, this=<optimized out>) at jsruntime/qv4functionobject_p.h:163
#35 QV4::Runtime::method_callProperty (engine=0x1f32160, base=0x7f5c614bb670, nameIndex=<optimized out>, argv=0x7f5c614bb678, argc=2) at jsruntime/qv4runtime.cpp:1062
#36 0x00007f5c7c6a8faa in QV4::Moth::VME::exec (fo=0x7f5c614bb638, thisObject=0x7f5c60f294e0, argv=0x7f5c7fe353ce, argc=2091639680) at jsruntime/qv4vme_moth.cpp:800
#37 0x00007f5c7c6b3076 in QV4::FunctionObject::call (argc=1, argv=0x7f5c614bb5e0, thisObject=<optimized out>, this=<optimized out>) at jsruntime/qv4functionobject_p.h:163
#38 QV4::Runtime::method_callName (engine=0x1f32160, nameIndex=3, argv=0x7f5c614bb5e0, argc=1) at jsruntime/qv4runtime.cpp:1030
#39 0x00007f5c7c6a90fb in QV4::Moth::VME::exec (fo=0x7f5c614bb5a8, thisObject=0x7f5c60f294a0, argv=0x7f5c7fe3558d, argc=2091639680) at jsruntime/qv4vme_moth.cpp:827
#40 0x00007f5c7c6b6530 in QV4::FunctionObject::call (argc=2, argv=0x7f5c614bb560, thisObject=0x7f5c614bb558, this=<optimized out>) at jsruntime/qv4functionobject_p.h:163
#41 QV4::Runtime::method_callProperty (engine=0x1f32160, base=0x7f5c614bb558, nameIndex=<optimized out>, argv=0x7f5c614bb560, argc=2) at jsruntime/qv4runtime.cpp:1062
#42 0x00007f5c7c6a8faa in QV4::Moth::VME::exec (fo=0x7f5c614bb518, thisObject=0x7f5c60f2aa60, argv=0x7f5c5943d664, argc=2091639680) at jsruntime/qv4vme_moth.cpp:800
#43 0x00007f5c7c760519 in QV4::Moth::VME::exec (context=<optimized out>, argc=<optimized out>, argv=0x7f5c614bb510, thisObject=0x7f5c614bb500, v4Function=0x2041c70) at ../../include/QtQml/5.11.0/QtQml/private/../../../../../src/qml/jsruntime/qv4vme_moth_p.h:72
#44 QV4::Function::call (context=<optimized out>, argc=<optimized out>, argv=0x7f5c614bb510, thisObject=0x7f5c614bb500, this=0x2041c70) at ../../include/QtQml/5.11.0/QtQml/private/../../../../../src/qml/jsruntime/qv4function_p.h:72
#45 QQmlJavaScriptExpression::evaluate (this=this@entry=0x3791280, callData=callData@entry=0x7f5c614bb4e8, isUndefined=isUndefined@entry=0x0) at qml/qqmljavascriptexpression.cpp:217
#46 0x00007f5c7c6f2c49 in QQmlBoundSignalExpression::evaluate (this=this@entry=0x3791280, a=a@entry=0x7ffed81810e0) at qml/qqmlboundsignal.cpp:237
#47 0x00007f5c7c6f41db in QQmlBoundSignal_callback (e=0x3791230, a=0x7ffed81810e0) at qml/qqmlboundsignal.cpp:370
#48 0x00007f5c7c73a5d7 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x7ffed81810e0) at qml/qqmlnotifier.cpp:106
#49 0x00007f5c7c6d5404 in QQmlData::signalEmitted (object=0x376b340, index=17, a=0x7ffed81810e0) at qml/qqmlengine.cpp:861
#50 0x00007f5c7bdf11f2 in QMetaObject::activate (sender=0x376b340, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=argv@entry=0x7ffed81810e0) at kernel/qobject.cpp:3649
#51 0x00007f5c7c6cf4a5 in QQmlVMEMetaObject::activate (this=this@entry=0x376b470, object=<optimized out>, index=index@entry=19, args=args@entry=0x7ffed81810e0) at qml/qqmlvmemetaobject.cpp:1246
#52 0x00007f5c7c6d17a1 in QQmlVMEMetaObject::metaCall (this=0x376b470, o=<optimized out>, c=QMetaObject::InvokeMetaMethod, _id=19, a=0x7ffed81810e0) at qml/qqmlvmemetaobject.cpp:922
#53 0x00007f5c7c6d0767 in QQmlVMEMetaObject::metaCall (this=0x3790f00, o=<optimized out>, c=QMetaObject::InvokeMetaMethod, _id=19, a=0x7ffed81810e0) at qml/qqmlvmemetaobject.cpp:979
#54 0x00007f5c7c72ff59 in QQmlObjectOrGadget::metacall (this=this@entry=0x7ffed8181450, type=type@entry=QMetaObject::InvokeMetaMethod, index=index@entry=19, argv=<optimized out>) at qml/qqmlpropertycache.cpp:1733
#55 0x00007f5c7c69897d in CallMethod (object=..., index=<optimized out>, returnType=<optimized out>, argCount=<optimized out>, argTypes=<optimized out>, engine=engine@entry=0x1f32160, callArgs=0x7f5c614bb4a8, callType=QMetaObject::InvokeMetaMethod) at jsruntime/qv4qobjectwrapper.cpp:1175
#56 0x00007f5c7c699fad in CallPrecise (object=..., data=..., engine=engine@entry=0x1f32160, callArgs=callArgs@entry=0x7f5c614bb4a8, callType=callType@entry=QMetaObject::InvokeMetaMethod) at jsruntime/qv4qobjectwrapper.cpp:1437
#57 0x00007f5c7c69ae3b in QV4::QObjectMethod::callInternal (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1975
#58 0x00007f5c7c6b6530 in QV4::FunctionObject::call (argc=1, argv=0x7f5c614bb448, thisObject=0x7f5c614bb460, this=<optimized out>) at jsruntime/qv4functionobject_p.h:163
#59 QV4::Runtime::method_callProperty (engine=0x1f32160, base=0x7f5c614bb460, nameIndex=<optimized out>, argv=0x7f5c614bb448, argc=1) at jsruntime/qv4runtime.cpp:1062
#60 0x00007f5c7c6a8faa in QV4::Moth::VME::exec (fo=0x7f5c614bb420, thisObject=0x7f5c60fdc5a0, argv=0x7f5c6000217b, argc=2091639680) at jsruntime/qv4vme_moth.cpp:800
#61 0x00007f5c7c6b6530 in QV4::FunctionObject::call (argc=0, argv=0x7f5c614bb350, thisObject=0x7f5c614bb388, this=<optimized out>) at jsruntime/qv4functionobject_p.h:163
#62 QV4::Runtime::method_callProperty (engine=0x1f32160, base=0x7f5c614bb388, nameIndex=<optimized out>, argv=0x7f5c614bb350, argc=0) at jsruntime/qv4runtime.cpp:1062
#63 0x00007f5c7c6a8faa in QV4::Moth::VME::exec (fo=0x7f5c614bb350, thisObject=0x7f5c60fdc5a0, argv=0x7f5c5942b9fd, argc=2091639680) at jsruntime/qv4vme_moth.cpp:800
#64 0x00007f5c7c760519 in QV4::Moth::VME::exec (context=<optimized out>, argc=<optimized out>, argv=0x7f5c614bb350, thisObject=0x7f5c614bb340, v4Function=0x204d5f0) at ../../include/QtQml/5.11.0/QtQml/private/../../../../../src/qml/jsruntime/qv4vme_moth_p.h:72
#65 QV4::Function::call (context=<optimized out>, argc=<optimized out>, argv=0x7f5c614bb350, thisObject=0x7f5c614bb340, this=0x204d5f0) at ../../include/QtQml/5.11.0/QtQml/private/../../../../../src/qml/jsruntime/qv4function_p.h:72
#66 QQmlJavaScriptExpression::evaluate (this=this@entry=0x3811410, callData=callData@entry=0x7f5c614bb328, isUndefined=isUndefined@entry=0x0) at qml/qqmljavascriptexpression.cpp:217
#67 0x00007f5c7c6f2c49 in QQmlBoundSignalExpression::evaluate (this=this@entry=0x3811410, a=a@entry=0x0) at qml/qqmlboundsignal.cpp:237
#68 0x00007f5c7c6f41db in QQmlBoundSignal_callback (e=0x38113c0, a=0x0) at qml/qqmlboundsignal.cpp:370
#69 0x00007f5c7c73a5d7 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0) at qml/qqmlnotifier.cpp:106
#70 0x00007f5c7c6d5404 in QQmlData::signalEmitted (object=0x380b9f0, index=53, a=0x0) at qml/qqmlengine.cpp:861
#71 0x00007f5c7bdf11f2 in QMetaObject::activate (sender=0x380b9f0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3649
#72 0x00007f5c6a5bdbc8 in QQuickAbstractButtonPrivate::handleRelease (this=0x380bab0, point=...) at qquickabstractbutton.cpp:210
#73 0x00007f5c6a5d41c5 in QQuickControl::mouseReleaseEvent (this=<optimized out>, event=0x7ffed8183f20) at qquickcontrol.cpp:1533
#74 0x00007f5c7f102958 in QQuickItem::event (this=0x380b9f0, ev=0x7ffed8183f20) at items/qquickitem.cpp:7991
#75 0x00007f5c7d41929c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x380b9f0, e=0x7ffed8183f20) at kernel/qapplication.cpp:3713
#76 0x00007f5c7d420917 in QApplication::notify (this=0x7ffed8184270, receiver=0x380b9f0, e=0x7ffed8183f20) at kernel/qapplication.cpp:3472
#77 0x00007f5c7bdc3e38 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x380b9f0, event=event@entry=0x7ffed8183f20) at kernel/qcoreapplication.cpp:1048
#78 0x00007f5c7f11abcb in QCoreApplication::sendEvent (event=0x7ffed8183f20, receiver=0x380b9f0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qcoreapplication.h:234
#79 QQuickWindowPrivate::deliverMouseEvent (this=this@entry=0x1fe7b60, pointerEvent=0x401e730) at items/qquickwindow.cpp:1740
#80 0x00007f5c7f11b67b in QQuickWindowPrivate::deliverPointerEvent (this=this@entry=0x1fe7b60, event=0x401e730) at items/qquickwindow.cpp:2311
#81 0x00007f5c7f11c24e in QQuickWindowPrivate::handleMouseEvent (this=0x1fe7b60, event=<optimized out>) at items/qquickwindow.cpp:2187
#82 0x00007f5c7cc1ffe5 in QWindow::event (this=this@entry=0x1fe7a80, ev=ev@entry=0x7ffed8183f20) at kernel/qwindow.cpp:2328
#83 0x00007f5c7f11dad5 in QQuickWindow::event (this=0x1fe7a80, e=0x7ffed8183f20) at items/qquickwindow.cpp:1634
#84 0x00007f5c7d41929c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x1fe7a80, e=0x7ffed8183f20) at kernel/qapplication.cpp:3713
#85 0x00007f5c7d420917 in QApplication::notify (this=0x7ffed8184270, receiver=0x1fe7a80, e=0x7ffed8183f20) at kernel/qapplication.cpp:3472
#86 0x00007f5c7bdc3e38 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x1fe7a80, event=event@entry=0x7ffed8183f20) at kernel/qcoreapplication.cpp:1048
#87 0x00007f5c7cc1393f in QCoreApplication::sendSpontaneousEvent (event=0x7ffed8183f20, receiver=0x1fe7a80) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:237
#88 QGuiApplicationPrivate::processMouseEvent (e=0x40de800) at kernel/qguiapplication.cpp:2071
#89 0x00007f5c7cc15995 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x40de800) at kernel/qguiapplication.cpp:1806
#90 0x00007f5c7cbeddfb in QWindowSystemInterface::sendWindowSystemEvents (flags=...) at kernel/qwindowsysteminterface.cpp:1028
#91 0x00007f5c6f614c1b in QPAEventDispatcherGlib::processEvents (this=0x1ea8cb0, flags=...) at qeventdispatcher_glib.cpp:70
#92 0x00007f5c7bdc21ca in QEventLoop::exec (this=this@entry=0x7ffed8184190, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#93 0x00007f5c7bdcb2d4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1336
#94 0x00007f5c7cc0a81c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1751
#95 0x00007f5c7d4191f5 in QApplication::exec () at kernel/qapplication.cpp:2898
#96 0x00000000004130df in main (argc=1, argv=<optimized out>) at /workspace/build/discover/main.cpp:156

Reported using DrKonqi
Comment 1 Eridani Rodríguez 2018-06-21 04:42:34 UTC
Probably related to https://bugs.kde.org/show_bug.cgi?id=390922
Comment 2 Aleix Pol 2018-06-21 12:23:42 UTC
Git commit 30ce73bdcfd70b0514642786eba0c1973ab0e8cc by Aleix Pol.
Committed on 21/06/2018 at 12:22.
Pushed by apol into branch 'Plasma/5.13'.

Fix crash

M  +2    -1    libdiscover/backends/FlatpakBackend/FlatpakSourcesBackend.cpp

https://commits.kde.org/discover/30ce73bdcfd70b0514642786eba0c1973ab0e8cc
Comment 3 Aleix Pol 2018-06-21 12:26:12 UTC
It's a pleasure to fix bug reports with proper instructions and a backtrace with debug symbols!
Comment 4 Aleix Pol 2018-07-06 10:58:26 UTC
*** Bug 396228 has been marked as a duplicate of this bug. ***